package loader;

import org.newdawn.slick.Music;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.Sound;

public class SoundsLoader {

	// --Attributs
	private static Music fight = null;

	// Pour charger une musique passée en paramètre
	public static Music chargementMusic (String pathMusic) {
		Music music = null; // Musique tampon

		try {
			music = new Music (pathMusic);
			return music;
		}
		catch (SlickException e) {
			e.printStackTrace ();
		}
		return music;
	}

	// Pour charger un son passé en paramètre
	public static Sound chargementSound (String pathSound) {
		Sound sound = null; // Son tampon

		try {
			sound = new Sound (pathSound);
			return sound;
		}
		catch (SlickException e) {
			e.printStackTrace ();
		}
		return sound;
	}

	// Pour charger tous les différents sons et musique
	public static void chargeSounds (String pathMusic) {
		setFight (chargementMusic (pathMusic + "fight.ogg"));
	}

	/**
	 * @param fight the fight to set
	 */
	public static void setFight (Music fight) {
		SoundsLoader.fight = fight;
	}

	/**
	 * @return the fight
	 */
	public static Music getFight () {
		return fight;
	}

	// --Accesseurs

}
