// ////////////////////////////////////////////////////////////////////////
// Copyright © 2011 Jérémy Chevrier, Hugo Buffet, Jérémy Lebrun
//
// This file is part of JZunBeHa.
//
// JZunBeHa is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// JZunBeHa is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with JZunBeHa. If not, see <http://www.gnu.org/licenses/>.
// ////////////////////////////////////////////////////////////////////////
/**
 * 
 */
package model.menu;

import loader.FontLoader;
import loader.menus.AvatarLoader;
import loader.menus.MenuLoader;
import controller.Controller;

/**
 * @author Jérémy Chevrier
 * 
 */
public class InformationMenu extends Menu {

	///////////////
	// Attributs //
	///////////////

	//////////////////
	// Constructeur //
	//////////////////
	/**
	 * @param key
	 *            La clé de l'event
	 */
	public InformationMenu (String key, int[] gameVar, Controller controller) {
		super (key, gameVar, controller);
	}

	//////////////
	// Méthodes //
	//////////////
	/*
	 * (non-Javadoc)
	 * @see model.menu.Menu#drawMenu()
	 */
	public void drawMenu () {
		MenuLoader.getHashMapImage ().get ("00").draw (63, 370);
		MenuLoader.getHashMapImage ().get ("01").draw (63, 416);
		AvatarLoader.getHashMapImage ().get (this.getName ()).draw (67, 374);
		FontLoader.getFontShadow ().drawString (113, 375, this.getName ());
		FontLoader.getFont ().drawString (112, 374, this.getName ());
		String[] polyLineMes = this.getDescription ().split ("\n");
		for (int i = 0; i < polyLineMes.length; i++) {
			FontLoader.getFontShadow ().drawString (82, 437 + (i * 30), polyLineMes[i]);
			FontLoader.getFont ().drawString (81, 436 + (i * 30), polyLineMes[i]);
		}
	}

	////////////////
	// Accesseurs //
	////////////////

}
